libidn 1.43

Data Fields
Stringprep_table Struct Reference

`#include <stringprep.h>`

## Data Fields
Stringprep_profile_steps | operation
Stringprep_profile_flags | flags
const Stringprep_table_element * | table
size_t | table_size

## Detailed Description

Stringprep_table:

Parameters

  operation | a Stringprep_profile_steps value
  flags | a Stringprep_profile_flags value
  table | zero-terminated array of Stringprep_table_element elements.
  table_size | size of @table, to speed up searching.

Stringprep profile table.

Definition at line 148 of file stringprep.h.

## Field Documentation

## ◆ flags

Stringprep_profile_flags Stringprep_table::flags

Definition at line 151 of file stringprep.h.

## ◆ operation

Stringprep_profile_steps Stringprep_table::operation

Definition at line 150 of file stringprep.h.

## ◆ table

const Stringprep_table_element* Stringprep_table::table

Definition at line 152 of file stringprep.h.

## ◆ table_size

size_t Stringprep_table::table_size

Definition at line 153 of file stringprep.h.

The documentation for this struct was generated from the following file:

- stringprep.h